%define modename xslide
Name: emacs-%modename
Version: 0.2.1
Release: alt1

Summary: A GNU Emacs major mode for editing XSL stylesheets.
Group: Editors
License: GPL
Url: http://www.menteith.com/xslide
Source: %modename-%version.tar.bz2

%define WITH_CUSTOM_EL 0

%if %WITH_CUSTOM_EL
%define custom_eldir custom-%modename
Source1: %custom_eldir.tar.bz2
%endif

Obsoletes: emacs-mode-xslide
Provides: emacs-mode-xslide = %version

BuildArch: noarch
PreReq: emacs

# Automatically added by buildreq on Sat May 18 2002
BuildRequires: XFree86 XFree86-libs Xaw3d emacs-common emacs-X11 libjpeg libtiff libungif xpm

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents. %modename
is a major mode for XSL stylesheets.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

# Emacs
%define _emacs_startscriptsdir %_sysconfdir/emacs/site-start.d
%define modedir %_emacslispdir/%modename

%prep
%setup -q -n %modename-%version

%if %WITH_CUSTOM_EL
%__tar -jxf %SOURCE1 > %modename-%version
%endif

%build
%make_build

%install
%__mkdir_p %buildroot%modedir
%__install -m644 *.el *.elc *.xsl %buildroot%modedir

%if %WITH_CUSTOM_EL
%__mkdir_p %buildroot%modedir/%custom_eldir
%__install -m644 %custom_eldir/*.el %buildroot%modedir/%custom_eldir
%endif

# Create %modename-init.el
%__cat <<__INIT__ >%modename-init.el
;;; %modename-init.el --- Startup code for %modename mode
;;;
;;; Add this to your ~/.emacs or install this file into Emacs' site-start.d
    (setq load-path (append load-path '("%modedir")))

;; load xsl-mode 
    (autoload 'xsl-mode "xslide" "Major mode for XSL stylesheets." t)
    (setq auto-mode-alist
	(append
	(list
	    '("\\.fo\\'" . xsl-mode)
	    '("\\.xsl\\'" . xsl-mode))
    auto-mode-alist))

;; Turn on font lock when in XSL mode
    (add-hook 'xsl-mode-hook
	'turn-on-font-lock)

;; Comment it if not using abbreviations
    (abbrev-mode t)

__INIT__

%if %WITH_CUSTOM_EL
# Add to %modename-init.el entries from %custom_eldir directory
echo ";;; Apply some customization (fonts, colors, keystrokes ...) for %modename mode" >>%modename-init.el 
for f in %custom_eldir/*.el; do
echo -e "\t(load \"%modedir/$f\")" >>%modename-init.el 
done
%endif

%__install -pD -m644 %{modename}-init.el %buildroot%_emacs_startscriptsdir/%{modename}.el

%files
%dir %modedir
%modedir/*.elc
%modedir/*.xsl

%if %WITH_CUSTOM_EL
%modedir/%custom_eldir/*.el
%endif

%config(noreplace) %_emacs_startscriptsdir/%modename.el
%doc *.TXT

%files el
%modedir/*.el

%changelog
* Sat Jun 07 2003 Ott Alex <ott@altlinux.ru> 0.2.1-alt1
- New version

* Thu Mar 13 2003 Ott Alex <ott@altlinux.ru> 0.2-alt0.7
- Fixing startup file

* Fri Sep 06 2002 Ott Alex <ott@altlinux.ru> 0.2-alt0.6
- Fixing startup script

* Wed Mar 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt0.5
- First test build for Sisyphus.
- We have not any required XSLT processor (XT or Saxon).
